ScXMLEvaluator(3)

NAME
ScXMLEvaluator - defines an interface for profile-dependent evaluators.

SYNOPSIS

#include <Inventor/scxml/ScXMLEvaluator.h>

Inherits ScXMLObject.

Inherited by ScXMLCoinEvaluator, ScXMLECMAScriptEvaluator, ScXMLMinimumEvaluator, and ScXMLXPathEvaluator.

  Public Member Functions
virtual SoType getTypeId (void) const =0
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and downward"casting.
virtual void setStateMachine (ScXMLStateMachine *sm)
ScXMLStateMachine * getStateMachine (void) const
virtual ScXMLDataObj * evaluate (const char *expression) const =0
virtual SbBool setAtLocation (const char *location, ScXMLDataObj *obj)=0
virtual ScXMLDataObj * locate (const char *location) const =0
virtual void clearTemporaryVariables (void)
Public Member Functions inherited from ScXMLObject
SbBool isOfType (SoType type) const
Returns TRUE if the type of this object is either of the same type or inherited from type.

  Static Public Member Functions
static SoType getClassTypeId (void)
static void initClass (void)
static void cleanClass (void)
Static Public Member Functions inherited from ScXMLObject
static SoType getClassTypeId (void)
This static method returns the SoType object associated with objects of this class.
static void initClass (void)
Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system.
static void cleanClass (void)
Does the opposite of initClass, deallocates any class specific resources and resets the class to an uninitialized state with respect to the Coin type system.

  Additional Inherited Members
Static Protected Member Functions inherited from ScXMLObject
static void registerClassType (const char *xmlns, const char *classname, SoType type)
static void registerInvokeClassType (const char *xmlns, const char *targettype, const char *source, SoType type)

Detailed Description

defines an interface for profile-dependent evaluators.

Since
    Coin 3.1

Member Function Documentation

  virtual SoType ScXMLEvaluator::getTypeId (void ) const [pure virtual]

Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and "downward" casting.

See also
    SoBase::getTypeId() const

Implements ScXMLObject.

Implemented in ScXMLCoinEvaluator, ScXMLECMAScriptEvaluator, ScXMLMinimumEvaluator, and ScXMLXPathEvaluator.

  void ScXMLEvaluator::setStateMachine (ScXMLStateMachine * sm) [virtual]
Override to perform actions when installed on a state machine.

Reimplemented in ScXMLCoinEvaluator, and ScXMLMinimumEvaluator.

  virtual ScXMLDataObj * ScXMLEvaluator::evaluate (const char * expression) const [pure virtual]

Implemented in ScXMLMinimumEvaluator.

  virtual SbBool ScXMLEvaluator::setAtLocation (const char * location, ScXMLDataObj * obj) [pure virtual]

Implemented in ScXMLMinimumEvaluator.

  virtual ScXMLDataObj * ScXMLEvaluator::locate (const char * location) const [pure virtual]

Implemented in ScXMLMinimumEvaluator.

  void ScXMLEvaluator::clearTemporaryVariables (void ) [virtual]
Does nothing - overridden in derived classes.

The intention of this function is to clear out temporary variables that have the scope of only one event being processed by the scxml state machine.

Reimplemented in ScXMLCoinEvaluator, and ScXMLMinimumEvaluator.

Author

Generated automatically by Doxygen for Coin from the source code.